[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListGetWidthForPPI

Specifies an event handler used to get image widths for a display density (PPI).

## Declaration

Source position: imglist.pp line 263

`type TCustomImageListGetWidthForPPI = procedure(`
`Sender: TCustomImageList;`
`AImageWidth: Integer;`
`APPI: Integer;`
`var AResultWidth: Integer`
`) of object;`

## Arguments

`Sender` |  | Image list generating the event notification.
`AImageWidth` |  | Initial image width used in the event handler.
`APPI` |  | Display density (Pixels per Inch).
`AResultWidth` |  | Imaged width calculated in the event handler for the display density.

## Description

TCustomImageListGetWidthForPPI is an object procedure which specifies an event handler used to get image widths for a specific display density (PPI). TCustomImageListGetWidthForPPI allows an application to override the value returned in the WidthForPPI property (or when calling the GetWidthForPPI method) in TCustomImageList.

Sender contains the TCustomImageList instance triggering the event notification.

AImageWidth contains the image width used as the basis for the calculation.

APPI contains the display density (Pixels per Inch) for the derived image width.

AResultWidth is a variable parameter used to store the image width derived in the event handler for the specified display density.

TCustomImageListGetWidthForPPI is the type used to implement the OnGetWidthForPPI property in TCustomImageList.

## See also

TCustomImageList.WidthForPPI |  | Image width needed for the specified display density (PPI).
TCustomImageList.OnGetWidthForPPI |  | Event handler used to override the scaled width for a display density.